function [param_,np,modname,neq,nlag,nlead,eqname_,eqtype_,endog_,delay_,vtype_] = ...
     taylor_mod_aim_data()

% taylor_mod_aim_data()
%     This function will return various information about the AIM model,
%     but will not compute the G and H matrices.

  eqname = cell(11, 1);
  param = cell(15, 1);
  endog = cell(11, 1);
  delay = zeros(11, 1);
  vtype = zeros(11, 1);
  eqtype = zeros(11, 1);

  modname = 'Taylor_mod';
  neq = 11;
  np = 15;
  nlag = 3;
  nlead = 8;

  eqname(1) = cellstr('EQ1');
  eqname(2) = cellstr('EQ2');
  eqname(3) = cellstr('EQ3');
  eqname(4) = cellstr('EQ4');
  eqname(5) = cellstr('EQ5');
  eqname(6) = cellstr('EQ6');
  eqname(7) = cellstr('EQ7');
  eqname(8) = cellstr('EQ8');
  eqname(9) = cellstr('EQ9');
  eqname(10) = cellstr('EQ10');
  eqname(11) = cellstr('EQ11');
  eqname_ = char(eqname);

  eqtype(1) = 1;     eqtype(2) = 1;     eqtype(3) = 1;   
  eqtype(4) = 1;     eqtype(5) = 1;     eqtype(6) = 1;   
  eqtype(7) = 1;     eqtype(8) = 1;     eqtype(9) = 1;   
  eqtype(10) = 0;     eqtype(11) = 0;   
  eqtype_ = eqtype;

  param(1) = cellstr('alphar');
  param(2) = cellstr('rlbar');
  param(3) = cellstr('alphapi');
  param(4) = cellstr('pitarget');
  param(5) = cellstr('alphaq');
  param(6) = cellstr('delta1');
  param(7) = cellstr('delta2');
  param(8) = cellstr('delta3');
  param(9) = cellstr('sigma_e_d');
  param(10) = cellstr('f1');
  param(11) = cellstr('f2');
  param(12) = cellstr('f3');
  param(13) = cellstr('gamma');
  param(14) = cellstr('f0');
  param(15) = cellstr('sigma_e_cw');
  param_ = char(param);

  endog(1) = cellstr('is');
  endog(2) = cellstr('il');
  endog(3) = cellstr('rl');
  endog(4) = cellstr('epi8');
  endog(5) = cellstr('pi4');
  endog(6) = cellstr('q');
  endog(7) = cellstr('cwp');
  endog(8) = cellstr('pi1');
  endog(9) = cellstr('one');
  endog(10) = cellstr('e_d');
  endog(11) = cellstr('e_cw');
  endog_ = char(endog);

  delay(1) = 0;     delay(2) = 0;     delay(3) = 0;   
  delay(4) = 0;     delay(5) = 0;     delay(6) = 0;   
  delay(7) = 0;     delay(8) = 0;     delay(9) = 0;   
  delay(10) = 0;     delay(11) = 0;   
  delay_ = delay;

  vtype(1) = 1;     vtype(2) = 1;     vtype(3) = 1;   
  vtype(4) = 1;     vtype(5) = 1;     vtype(6) = 0;   
  vtype(7) = 1;     vtype(8) = 0;     vtype(9) = 2;   
  vtype(10) = 1;     vtype(11) = 1;   
  vtype_ = vtype;



